Delete Clip
curl --request DELETE \
--url https://public.reap.video/api/v1/automation/delete-clip \
--header 'Authorization: Bearer <token>'import requests
url = "https://public.reap.video/api/v1/automation/delete-clip"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public.reap.video/api/v1/automation/delete-clip', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://public.reap.video/api/v1/automation/delete-clip",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://public.reap.video/api/v1/automation/delete-clip"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://public.reap.video/api/v1/automation/delete-clip")
.header("Authorization", "Bearer <token>")
.asString();{
"clipId": "<string>",
"deleted": true
}Manage Projects
Delete Clip
Permanently delete a clip
DELETE
/
automation
/
delete-clip
Delete Clip

For AI agents: a documentation index is at /llms.txt. Every page is also available as markdown, just append .md to the URL.
Overview
Permanently delete a clip and its exported video file. This action cannot be undone.Rate Limiting
This endpoint is rate limited to 10 requests per minute per API key.This permanently deletes the clip and its exported video file. Cannot delete clips that are still processing.
Response
ID of the deleted clip
Always
true on successExample Request
curl -X DELETE "https://public.reap.video/api/v1/automation/delete-clip?projectId=65f1a2b3c4d5e6f7a8b9c0d2&clipId=65f1a2b3c4d5e6f7a8b9c0d4" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"
const projectId = '65f1a2b3c4d5e6f7a8b9c0d2';
const clipId = '65f1a2b3c4d5e6f7a8b9c0d4';
const response = await fetch(`https://public.reap.video/api/v1/automation/delete-clip?projectId=${projectId}&clipId=${clipId}`, {
method: 'DELETE',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
}
});
const data = await response.json();
console.log(`Deleted: ${data.deleted}`);
import requests
headers = {
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
}
project_id = '65f1a2b3c4d5e6f7a8b9c0d2'
clip_id = '65f1a2b3c4d5e6f7a8b9c0d4'
response = requests.delete(
f'https://public.reap.video/api/v1/automation/delete-clip?projectId={project_id}&clipId={clip_id}',
headers=headers
)
data = response.json()
print(f"Deleted: {data['deleted']}")
<?php
$projectId = '65f1a2b3c4d5e6f7a8b9c0d2';
$clipId = '65f1a2b3c4d5e6f7a8b9c0d4';
$url = 'https://public.reap.video/api/v1/automation/delete-clip?projectId=' . $projectId . '&clipId=' . $clipId;
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'DELETE');
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'Authorization: Bearer YOUR_API_KEY',
'Content-Type: application/json'
]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
curl_close($ch);
$data = json_decode($response, true);
echo 'Deleted: ' . ($data['deleted'] ? 'true' : 'false') . "\n";
?>
package main
import (
"fmt"
"io/ioutil"
"net/http"
)
func main() {
projectId := "65f1a2b3c4d5e6f7a8b9c0d2"
clipId := "65f1a2b3c4d5e6f7a8b9c0d4"
url := fmt.Sprintf("https://public.reap.video/api/v1/automation/delete-clip?projectId=%s&clipId=%s", projectId, clipId)
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Set("Authorization", "Bearer YOUR_API_KEY")
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, _ := client.Do(req)
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}
import java.io.*;
import java.net.HttpURLConnection;
import java.net.URL;
public class DeleteClipExample {
public static void main(String[] args) throws Exception {
String projectId = "65f1a2b3c4d5e6f7a8b9c0d2";
String clipId = "65f1a2b3c4d5e6f7a8b9c0d4";
URL url = new URL("https://public.reap.video/api/v1/automation/delete-clip?projectId=" + projectId + "&clipId=" + clipId);
HttpURLConnection conn = (HttpURLConnection) url.openConnection();
conn.setRequestMethod("DELETE");
conn.setRequestProperty("Authorization", "Bearer YOUR_API_KEY");
conn.setRequestProperty("Content-Type", "application/json");
BufferedReader br = new BufferedReader(new InputStreamReader(conn.getInputStream(), "utf-8"));
StringBuilder response = new StringBuilder();
String responseLine;
while ((responseLine = br.readLine()) != null) {
response.append(responseLine.trim());
}
System.out.println(response.toString());
}
}
Example Response
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Unique identifier of the project
Unique identifier of the clip
Was this page helpful?
⌘I